Commit 8a49a5ed authored by Colin Watson's avatar Colin Watson

Depend on xz-utils (LP: #1614779)

xz is needed for all suites that publish .xz but not uncompressed index
files, or .gz but not .xz without --slow-cpu, so I think that's common
enough to rise above the level of a Recommends.
parent b50e8880
......@@ -3,6 +3,10 @@ debmirror (1:2.28) UNRELEASED; urgency=medium
* Change priority to optional, since "Priority: extra" is now deprecated.
* Move VCS to salsa.debian.org.
* Fix use of uninitialised value $buf in name_release.
* Depend on xz-utils (LP: #1614779); xz is needed for all suites that
publish .xz but not uncompressed index files, or .gz but not .xz without
--slow-cpu, so I think that's common enough to rise above the level of a
Recommends.
-- Colin Watson <cjwatson@debian.org> Sun, 19 Nov 2017 10:11:27 +0000
......
......@@ -12,7 +12,8 @@ Architecture: all
Depends: ${misc:Depends}, perl (>= 5.10), libnet-perl, libdigest-md5-perl,
libdigest-sha-perl, liblockfile-simple-perl, rsync,
bzip2, libwww-perl (>= 5.815),
perl (>= 5.22) | libnet-inet6glue-perl
perl (>= 5.22) | libnet-inet6glue-perl,
xz-utils
Recommends: gpgv, patch, ed
Suggests: gnupg
Description: Debian partial mirror script, with ftp and package pool support
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment